Remove the cluster external log viewer
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/external-log-viewer"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/external-log-viewer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/external-log-viewer \
--header 'Authorization: Bearer <token>'{
"marked_for_deletion_at": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Clusters
Remove the cluster external log viewer
The bearer twin of the portal’s external log viewer removal, for the Ankra app and scripts. Removes the cluster’s external log viewer link. Requires clusters.write on the cluster.
DELETE
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
external-log-viewer
Remove the cluster external log viewer
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/external-log-viewer"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/external-log-viewer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/external-log-viewer \
--header 'Authorization: Bearer <token>'{
"marked_for_deletion_at": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}